## Function template ends_with

boost::log::expressions::ends_with

## Synopsis

    // In header: <boost/log/expressions/predicates/ends_with.hpp>

    template<typename DescriptorT, template< typename > class ActorT,
             typename SubstringT>
      unspecified ends_with(attribute_keyword< DescriptorT, ActorT > const &,
                            SubstringT const & substring);

## Description

The function generates a terminal node in a template expression. The node will check if the attribute value, which is assumed to be a string, ends with the specified substring.